Matcher (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.tomcat.util.file

## Class Matcher

- java.lang.Object
- - org.apache.tomcat.util.file.Matcher

-     public final class Matcher
      extends java.lang.Object

  This is a utility class to match file globs. The class has been derived from org.apache.tools.ant.types.selectors.SelectorUtils.

  All methods are static.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Matcher()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `match​(java.lang.String pattern, java.lang.String str, boolean caseSensitive)` | Tests whether or not a string matches against a pattern.
    `static boolean` | `matchName​(java.util.Set<java.lang.String> patternSet, java.lang.String fileName)` | Tests whether or not a given file name matches any file name pattern in the given set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Matcher

          public Matcher()

  - ### Method Detail

    - #### matchName

          public static boolean matchName​(java.util.Set<java.lang.String> patternSet,
                                          java.lang.String fileName)

      Tests whether or not a given file name matches any file name pattern in the given set. The match is performed case-sensitively.
      Parameters:
        `patternSet` - The pattern set to match against. Must not be `null`.
        `fileName` - The file name to match, as a String. Must not be `null`. It must be just a file name, without a path.
      Returns:
        `true` if any pattern in the set matches against the file name, or `false` otherwise.
      See Also:
        `match(String, String, boolean)`

    - #### match

          public static boolean match​(java.lang.String pattern,
                                      java.lang.String str,
                                      boolean caseSensitive)

      Tests whether or not a string matches against a pattern. The pattern may contain two special characters:
      '*' means zero or more characters
      '?' means one and only one character
      Parameters:
        `pattern` - The pattern to match against. Must not be `null`.
        `str` - The string which must be matched against the pattern. Must not be `null`.
        `caseSensitive` - Whether or not matching should be performed case sensitively.
      Returns:
        `true` if the string matches against the pattern, or `false` otherwise.